Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#38858 closed defect (duplicate)

perl-5.12.4 build failure

Reported by: deesto (John S. De Stefano Jr.) Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.1.3
Keywords: Cc: ghosthound, mww@…, jeremyhu (Jeremy Huddleston Sequoia), hapaguy (Brian Kurt Fujikawa)
Port: perl5.12 libstdcxx

Description

It looks like something in the perl5.12 port may have broken since yesterday, as it fails to complete an upgrade today on 10.6 due to what looks like an architecture problem with libstdcxx.

:info:build ld: in /opt/local/lib/libstdc++.6.dylib, file was built for unsupported file format which is not the architecture being linked (i386) for architecture i386

Attachments (2)

main.log (69.0 KB) - added by deesto (John S. De Stefano Jr.) 7 years ago.
macports_perl5_upgrade_stdout-err.log (44.3 KB) - added by deesto (John S. De Stefano Jr.) 7 years ago.

Download all attachments as: .zip

Change History (8)

Changed 7 years ago by deesto (John S. De Stefano Jr.)

Attachment: main.log added

Changed 7 years ago by deesto (John S. De Stefano Jr.)

comment:1 Changed 7 years ago by mf2k (Frank Schima)

Cc: mww@… jeremyhu@… added
Port: perl5.12 libstdcxx added; perl-5.12 removed

The perl5.12 port has not been updated for a long time now. Possibly it is a libstdcxx issue. Cc'ing the relevant people.

Last edited 7 years ago by mf2k (Frank Schima) (previous) (diff)

comment:2 Changed 7 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Resolution: duplicate
Status: newclosed

Likely #36438

comment:3 Changed 7 years ago by larryv (Lawrence Velázquez)

As a workaround, you might try force-deactivating libstdcxx while doing the upgrade. I don’t believe the final Perl installation uses libstdc++ at all.

comment:4 in reply to:  2 Changed 7 years ago by deesto (John S. De Stefano Jr.)

Main log was attached ...

Replying to jeremyhu@…:

Likely #36438

Agreed: seems like the same. But why would this crop up just today, after a successful, full port selfupdate && port update outdated yesterday?

comment:5 in reply to:  3 Changed 7 years ago by machsna (J. ‘mach’ Wust)

Replying to larryv@…:

As a workaround, you might try force-deactivating libstdcxx while doing the upgrade. I don’t believe the final Perl installation uses libstdc++ at all.

Thanks; that has worked for me.

comment:6 Changed 7 years ago by hapaguy (Brian Kurt Fujikawa)

Cc: brian.fujikawa@… added

Cc Me!

Note: See TracTickets for help on using tickets.